issue with recursive call to model load

Bug #1921787 reported by Olivier Mattelaer
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MadGraph5_aMC@NLO
Undecided
Unassigned

Bug Description

Dear MadGraph,

This is a follow-up to https://answers.launchpad.net/mg5amcnlo/+question/696199

As mentioned earlier, have taken the heavyN FeynRules model and added a dim-5 dipole operator. In MadGraph v2.7.3, I can execute the following command without a problem:

import model heavyNeff4_UFO --modelname
generate n5 > all all
output Test1

I then go to Test1 and run MadEvent, executing calculate_decay_widths . The code works, and I get a result.

If I do the same in MadGraph v2.9.2, there is a problem when executing "output Test1", with MadGraph crashing:

MG5_aMC>output Test1
INFO: initialize a new directory: Test1
INFO: remove old information in Test1
INFO: Generating Helas calls for process: n5 > ve z QNP<=2 @1
INFO: Processing color information for process: n5 > ve z QNP<=2 @1
INFO: Generating Helas calls for process: n5 > vm z QNP<=2 @1
INFO: Reusing existing color information for process: n5 > vm z QNP<=2 @1
INFO: Generating Helas calls for process: n5 > vt z QNP<=2 @1
INFO: Reusing existing color information for process: n5 > vt z QNP<=2 @1
INFO: Generating Helas calls for process: n5 > a ve QNP<=2 @1
INFO: Processing color information for process: n5 > a ve QNP<=2 @1
INFO: Generating Helas calls for process: n5 > a vm QNP<=2 @1
INFO: Reusing existing color information for process: n5 > a vm QNP<=2 @1
INFO: Generating Helas calls for process: n5 > a vt QNP<=2 @1
INFO: Reusing existing color information for process: n5 > a vt QNP<=2 @1
INFO: Generating Helas calls for process: n5 > a n4 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > a n4 QNP<=2 @1
INFO: Generating Helas calls for process: n5 > a n6 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > a n6 QNP<=2 @1
INFO: Generating Helas calls for process: n5 > ve h QNP<=2 @1
INFO: Reusing existing color information for process: n5 > ve h QNP<=2 @1
INFO: Generating Helas calls for process: n5 > vm h QNP<=2 @1
INFO: Reusing existing color information for process: n5 > vm h QNP<=2 @1
INFO: Generating Helas calls for process: n5 > vt h QNP<=2 @1
INFO: Reusing existing color information for process: n5 > vt h QNP<=2 @1
INFO: Generating Helas calls for process: n5 > e- w+ QNP<=2 @1
INFO: Reusing existing color information for process: n5 > e- w+ QNP<=2 @1
INFO: Generating Helas calls for process: n5 > mu- w+ QNP<=2 @1
INFO: Reusing existing color information for process: n5 > mu- w+ QNP<=2 @1
INFO: Generating Helas calls for process: n5 > ta- w+ QNP<=2 @1
INFO: Reusing existing color information for process: n5 > ta- w+ QNP<=2 @1
INFO: Generating Helas calls for process: n5 > e+ w- QNP<=2 @1
INFO: Reusing existing color information for process: n5 > e+ w- QNP<=2 @1
INFO: Generating Helas calls for process: n5 > mu+ w- QNP<=2 @1
INFO: Reusing existing color information for process: n5 > mu+ w- QNP<=2 @1
INFO: Generating Helas calls for process: n5 > ta+ w- QNP<=2 @1
INFO: Reusing existing color information for process: n5 > ta+ w- QNP<=2 @1
INFO: Generating Helas calls for process: n5 > z n4 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > z n4 QNP<=2 @1
INFO: Generating Helas calls for process: n5 > z n6 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > z n6 QNP<=2 @1
INFO: Generating Helas calls for process: n5 > h n4 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > h n4 QNP<=2 @1
INFO: Generating Helas calls for process: n5 > h n5 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > h n5 QNP<=2 @1
INFO: Generating Helas calls for process: n5 > h n6 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > h n6 QNP<=2 @1
INFO: Creating files in directory P1_n5_vez
INFO: Generating Feynman diagrams for Process: n5 > ve z QNP<=2 @1
INFO: Creating files in directory P1_n5_vmz
INFO: Generating Feynman diagrams for Process: n5 > vm z QNP<=2 @1
INFO: Creating files in directory P1_n5_vtz
INFO: Generating Feynman diagrams for Process: n5 > vt z QNP<=2 @1
INFO: Creating files in directory P1_n5_ave
INFO: Generating Feynman diagrams for Process: n5 > a ve QNP<=2 @1
INFO: Creating files in directory P1_n5_avm
INFO: Generating Feynman diagrams for Process: n5 > a vm QNP<=2 @1
INFO: Creating files in directory P1_n5_avt
INFO: Generating Feynman diagrams for Process: n5 > a vt QNP<=2 @1
INFO: Creating files in directory P1_n5_an4
INFO: Generating Feynman diagrams for Process: n5 > a n4 QNP<=2 @1
INFO: Creating files in directory P1_n5_an6
INFO: Generating Feynman diagrams for Process: n5 > a n6 QNP<=2 @1
INFO: Creating files in directory P1_n5_veh
INFO: Generating Feynman diagrams for Process: n5 > ve h QNP<=2 @1
INFO: Creating files in directory P1_n5_vmh
INFO: Generating Feynman diagrams for Process: n5 > vm h QNP<=2 @1
INFO: Creating files in directory P1_n5_vth
INFO: Generating Feynman diagrams for Process: n5 > vt h QNP<=2 @1
INFO: Creating files in directory P1_n5_emwp
INFO: Generating Feynman diagrams for Process: n5 > e- w+ QNP<=2 @1
INFO: Creating files in directory P1_n5_mumwp
INFO: Generating Feynman diagrams for Process: n5 > mu- w+ QNP<=2 @1
INFO: Creating files in directory P1_n5_tamwp
INFO: Generating Feynman diagrams for Process: n5 > ta- w+ QNP<=2 @1
INFO: Creating files in directory P1_n5_epwm
INFO: Generating Feynman diagrams for Process: n5 > e+ w- QNP<=2 @1
INFO: Creating files in directory P1_n5_mupwm
INFO: Generating Feynman diagrams for Process: n5 > mu+ w- QNP<=2 @1
INFO: Creating files in directory P1_n5_tapwm
INFO: Generating Feynman diagrams for Process: n5 > ta+ w- QNP<=2 @1
INFO: Creating files in directory P1_n5_zn4
INFO: Generating Feynman diagrams for Process: n5 > z n4 QNP<=2 @1
INFO: Creating files in directory P1_n5_zn6
INFO: Generating Feynman diagrams for Process: n5 > z n6 QNP<=2 @1
INFO: Creating files in directory P1_n5_hn4
INFO: Generating Feynman diagrams for Process: n5 > h n4 QNP<=2 @1
INFO: Creating files in directory P1_n5_hn5
INFO: Generating Feynman diagrams for Process: n5 > h n5 QNP<=2 @1
INFO: Creating files in directory P1_n5_hn6
INFO: Generating Feynman diagrams for Process: n5 > h n6 QNP<=2 @1
Generated helas calls for 22 subprocesses (25 diagrams) in 0.023 s
Wrote files for 91 helas calls in 0.399 s
Fatal Python error: _Py_CheckRecursiveCall: Cannot recover from stack overflow.
Python runtime state: initialized

Thread 0x00007f3fc67d5640 (most recent call first):
  File "/usr/lib64/python3.9/threading.py", line 312 in wait
  File "/usr/lib64/python3.9/queue.py", line 171 in get
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/madgraph/various/cluster.py", line 631 in worker
  File "/usr/lib64/python3.9/threading.py", line 892 in run
  File "/usr/lib64/python3.9/threading.py", line 954 in _bootstrap_inner
  File "/usr/lib64/python3.9/threading.py", line 912 in _bootstrap

Current thread 0x00007f3fd4e47740 (most recent call first):
  File "<frozen importlib._bootstrap_external>", line 64 in <listcomp>
  File "<frozen importlib._bootstrap_external>", line 64 in _path_join
  File "<frozen importlib._bootstrap_external>", line 369 in cache_from_source
  File "<frozen importlib._bootstrap_external>", line 434 in _get_cached
  File "<frozen importlib._bootstrap>", line 391 in cached
  File "<frozen importlib._bootstrap>", line 550 in _init_module_attrs
  File "<frozen importlib._bootstrap>", line 571 in module_from_spec
  File "<frozen importlib._bootstrap>", line 666 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/heavyNeff4/particles.py", line 10 in <module>
  File "<frozen importlib._bootstrap>", line 228 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 790 in exec_module
  File "<frozen importlib._bootstrap>", line 680 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/heavyNeff4/__init__.py", line 3 in <module>
  File "<frozen importlib._bootstrap>", line 228 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 790 in exec_module
  File "<frozen importlib._bootstrap>", line 680 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 986 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 1007 in _find_and_load
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 44 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  File "/home/jjones/Programs/MG5_aMC_v2_9_2/models/__init__.py", line 52 in load_model
  ...
[jjones@arrakis MG5_aMC_v2_9_2]$

Any clues to what might be happening?

Revision history for this message
Olivier Mattelaer (olivier-mattelaer) wrote :

Could you attach your model?
This should allow me to check what the issue is with your model

Thanks,

Olivier

Revision history for this message
Joel Jones (n-jones-j) wrote :

Sure! Thanks!

Revision history for this message
Olivier Mattelaer (olivier-mattelaer) wrote :

Hi,

I do not reproduce the problem, but it is likely related to your enviroment and more specifically to the value of the PYTHONPATH variable.
Could you do echo $PYTHONPATH to see how long that variable is?

One potential issue is if you have :: in that variable then it is not impossible to trigger an infinite loop. Would that be the case?

Cheers,

Olivier

Revision history for this message
Olivier Mattelaer (olivier-mattelaer) wrote : Re: [Bug 1921787] issue with recursive call to model load
Download full text (17.3 KiB)

The infinite loop was the correct idea (I guess)
(at least I reproduce the bug when setting my pythonpath that way)

The easiest is likely to change your pythonpath, or you can use the following patch:

Cheers,

Olivier

=== modified file 'models/__init__.py'
--- models/__init__.py 2021-01-29 22:04:24 +0000
+++ models/__init__.py 2021-03-29 21:23:51 +0000
@@ -47,6 +47,8 @@
             pass
         if 'PYTHONPATH' in os.environ:
             for p in os.environ['PYTHONPATH'].split(':'):
+ if not p:
+ continue
                 new_name = os.path.join(p, name)
                 try:
                     return load_model(new_name, decay)

> On 29 Mar 2021, at 23:19, Olivier Mattelaer <email address hidden> wrote:
>
> Hi,
>
> I do not reproduce the problem, but it is likely related to your enviroment and more specifically to the value of the PYTHONPATH variable.
> Could you do echo $PYTHONPATH to see how long that variable is?
>
> One potential issue is if you have :: in that variable then it is not
> impossible to trigger an infinite loop. Would that be the case?
>
> Cheers,
>
> Olivier
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1921787
>
> Title:
> issue with recursive call to model load
>
> Status in MadGraph5_aMC@NLO:
> New
>
> Bug description:
> Dear MadGraph,
>
> This is a follow-up to
> https://answers.launchpad.net/mg5amcnlo/+question/696199
>
> As mentioned earlier, have taken the heavyN FeynRules model and added
> a dim-5 dipole operator. In MadGraph v2.7.3, I can execute the
> following command without a problem:
>
> import model heavyNeff4_UFO --modelname
> generate n5 > all all
> output Test1
>
> I then go to Test1 and run MadEvent, executing calculate_decay_widths
> . The code works, and I get a result.
>
> If I do the same in MadGraph v2.9.2, there is a problem when executing
> "output Test1", with MadGraph crashing:
>
> MG5_aMC>output Test1
> INFO: initialize a new directory: Test1
> INFO: remove old information in Test1
> INFO: Generating Helas calls for process: n5 > ve z QNP<=2 @1
> INFO: Processing color information for process: n5 > ve z QNP<=2 @1
> INFO: Generating Helas calls for process: n5 > vm z QNP<=2 @1
> INFO: Reusing existing color information for process: n5 > vm z QNP<=2 @1
> INFO: Generating Helas calls for process: n5 > vt z QNP<=2 @1
> INFO: Reusing existing color information for process: n5 > vt z QNP<=2 @1
> INFO: Generating Helas calls for process: n5 > a ve QNP<=2 @1
> INFO: Processing color information for process: n5 > a ve QNP<=2 @1
> INFO: Generating Helas calls for process: n5 > a vm QNP<=2 @1
> INFO: Reusing existing color information for process: n5 > a vm QNP<=2 @1
> INFO: Generating Helas calls for process: n5 > a vt QNP<=2 @1
> INFO: Reusing existing color information for process: n5 > a vt QNP<=2 @1
> INFO: Generating Helas calls for process: n5 > a n4 QNP<=2 @1
> INFO: Reusing existing color information for process: n5 > a n4 QNP<=2 @1
> INFO: Generating Helas calls for process: n5 > a n6 QNP<=2 @1
> INFO:...

Changed in mg5amcnlo:
status: New → Fix Committed
Revision history for this message
Joel Jones (n-jones-j) wrote :
Download full text (6.0 KiB)

Yes, I use the system python. I know I shouldn't.

I have updated the __init__.py file, but now get a new error. Perhaps I should do something more than editing the __init__.py file?

MG5_aMC>output Test1
INFO: initialize a new directory: Test1
INFO: remove old information in Test1
INFO: Generating Helas calls for process: n5 > ve z QNP<=2 @1
INFO: Processing color information for process: n5 > ve z QNP<=2 @1
INFO: Generating Helas calls for process: n5 > vm z QNP<=2 @1
INFO: Reusing existing color information for process: n5 > vm z QNP<=2 @1
INFO: Generating Helas calls for process: n5 > vt z QNP<=2 @1
INFO: Reusing existing color information for process: n5 > vt z QNP<=2 @1
INFO: Generating Helas calls for process: n5 > a ve QNP<=2 @1
INFO: Processing color information for process: n5 > a ve QNP<=2 @1
INFO: Generating Helas calls for process: n5 > a vm QNP<=2 @1
INFO: Reusing existing color information for process: n5 > a vm QNP<=2 @1
INFO: Generating Helas calls for process: n5 > a vt QNP<=2 @1
INFO: Reusing existing color information for process: n5 > a vt QNP<=2 @1
INFO: Generating Helas calls for process: n5 > a n4 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > a n4 QNP<=2 @1
INFO: Generating Helas calls for process: n5 > a n6 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > a n6 QNP<=2 @1
INFO: Generating Helas calls for process: n5 > ve h QNP<=2 @1
INFO: Reusing existing color information for process: n5 > ve h QNP<=2 @1
INFO: Generating Helas calls for process: n5 > vm h QNP<=2 @1
INFO: Reusing existing color information for process: n5 > vm h QNP<=2 @1
INFO: Generating Helas calls for process: n5 > vt h QNP<=2 @1
INFO: Reusing existing color information for process: n5 > vt h QNP<=2 @1
INFO: Generating Helas calls for process: n5 > e- w+ QNP<=2 @1
INFO: Reusing existing color information for process: n5 > e- w+ QNP<=2 @1
INFO: Generating Helas calls for process: n5 > mu- w+ QNP<=2 @1
INFO: Reusing existing color information for process: n5 > mu- w+ QNP<=2 @1
INFO: Generating Helas calls for process: n5 > ta- w+ QNP<=2 @1
INFO: Reusing existing color information for process: n5 > ta- w+ QNP<=2 @1
INFO: Generating Helas calls for process: n5 > e+ w- QNP<=2 @1
INFO: Reusing existing color information for process: n5 > e+ w- QNP<=2 @1
INFO: Generating Helas calls for process: n5 > mu+ w- QNP<=2 @1
INFO: Reusing existing color information for process: n5 > mu+ w- QNP<=2 @1
INFO: Generating Helas calls for process: n5 > ta+ w- QNP<=2 @1
INFO: Reusing existing color information for process: n5 > ta+ w- QNP<=2 @1
INFO: Generating Helas calls for process: n5 > z n4 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > z n4 QNP<=2 @1
INFO: Generating Helas calls for process: n5 > z n6 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > z n6 QNP<=2 @1
INFO: Generating Helas calls for process: n5 > h n4 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > h n4 QNP<=2 @1
INFO: Generating Helas calls for process: n5 > h n5 QNP<=2 @1
INFO: Reusing existing color information for process: n5 > h n5 QNP<=2 @1
INFO: Gen...

Read more...

Revision history for this message
Joel Jones (n-jones-j) wrote :

Sorry, the error should say:
UFOError : No module named 'heavyNeff4'

I copied the wrong output...

Revision history for this message
Olivier Mattelaer (olivier-mattelaer) wrote :

What is your PYTHONPATH environment variable?

Olivier

Revision history for this message
Joel Jones (n-jones-j) wrote :

Sorry. Since I am using the system python, PYTHONPATH is not declared.

Would this help?

whereis python
python: /usr/bin/python3.6m-x86_64-config /usr/bin/python3.8-x86_64-config /usr/bin/python3.5-config /usr/bin/python3.5m-config /usr/bin/python3.9-config /usr/bin/python3.5m-x86_64-config /usr/bin/python3.5m /usr/bin/python3.6m /usr/bin/python /usr/bin/python3.9-x86_64-config /usr/bin/python2.7-config /usr/bin/python3.5 /usr/bin/python3.6m-config /usr/bin/python3.7m /usr/bin/python3.6-config /usr/bin/python3.7-config /usr/bin/python3.8 /usr/bin/python3.7dm /usr/bin/python3.7dm-x86_64-config /usr/bin/python2.7 /usr/bin/python3.7m-config /usr/bin/python3.7 /usr/bin/python3.9 /usr/bin/python3.8-config /usr/bin/python3.6 /usr/bin/python3.7m-x86_64-config /usr/bin/python3.7dm-config /usr/lib/python3.5 /usr/lib/python3.8 /usr/lib/python2.7 /usr/lib/python3.7 /usr/lib/python3.9 /usr/lib/python3.6 /usr/lib64/python3.5 /usr/lib64/python3.8 /usr/lib64/python2.7 /usr/lib64/python3.7 /usr/lib64/python3.9 /usr/lib64/python3.6 /usr/include/python3.5m /usr/include/python3.6m /usr/include/python3.7m /usr/include/python3.8 /usr/include/python3.7dm /usr/include/python2.7 /usr/include/python3.9 /usr/share/man/man1/python.1.gz

Revision history for this message
Olivier Mattelaer (olivier-mattelaer) wrote :

Did you check by doing
echo $PYTHONPATH
or better
printenv | grep PYTHONPATH

Because if the patch works to change the error, I would bet that something has changed your PYTHONPATH.

Concerning your new error, I'm confused that you have
UFOError : No module named 'heavyNeff4'
since you report using:
import model heavyNeff4_UFO --modelname
Can you confirm that the issue is that "_UFO" someway disapear?

Can you attach the new debug file, this will be very usefull.

Cheers,

Olivier

Revision history for this message
Joel Jones (n-jones-j) wrote :

Hi. Sorry for the confusion, please, disregard the difference between heavyNeff4 and heavyNeff4_UFO. One is mine, the other was compiled by a student, they are the same.

I am attaching the debug file.

Regarding PYTHONPATH:

[jjones@arrakis MG5_aMC_v2_9_2]$ echo $PYTHONPATH

[jjones@arrakis MG5_aMC_v2_9_2]$ printenv | grep PYTHONPATH
PYTHONPATH=

Revision history for this message
Joel Jones (n-jones-j) wrote :

Hi. Just wanted to let you know that the 2nd error does not appear in v3.1.0.

Many thanks!

Revision history for this message
Olivier Mattelaer (olivier-mattelaer) wrote :

Good thanks, I marked this as released then.

Changed in mg5amcnlo:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions